function [ dist ] = egosum_dist(p, q, adj)
%EGOSUM_DIST Compares first two moments of opinion distributions in egonets

connmat = (adj' > 0);

pmat = connmat .* repmat(p, 1, size(adj, 1));
pmeans = mean(pmat, 1);
if(~isempty(pmeans))
    pmeans = pmeans / norm(pmeans, 1);
end
pstds = zeros(1, length(p));
for ic = 1 : length(p)
    col = pmat(:, ic);
    col = col(col ~= 0);
    pstds(ic) = max(0, std(col));
end
if(~isempty(pstds))
    pstds = pstds / norm(pstds, 1);
end

qmat = connmat .* repmat(q, 1, size(adj, 1));
qmeans = mean(qmat, 1);
if(~isempty(qmeans))
    qmeans = qmeans / norm(qmeans, 1);
end
qstds = zeros(1, length(q));
for ic = 1 : length(q)
    col = qmat(:, ic);
    col = col(col ~= 0);
    qstds(ic) = max(0, std(col));
end
if(~isempty(qstds))
    qstds = qstds / norm(qstds, 1);
end

dist = norm(pmeans - qmeans, 2) + norm(pstds - qstds, 2);

end
