function [ dist ] = qf_dist(x, y, A)
%QF_DIST Quadratic form distance

if(~isvector(x) || ~isvector(y) || ~ismatrix(A) || ~issparse(A) || ...
        length(x) ~= length(y) || length(y) ~= size(A, 1) || size(A, 1) ~= size(A, 2))
    error('Invalid input.');
end
if(size(x, 2) > size(x, 1))
    x = x';
end
if(size(y, 2) > size(y, 1))
    y = y';
end

delta = x - y;
dist = sqrt(delta' * A * delta);

end

