function parpool_disable_autostart(verbose)
%PARPOOL_DISABLE_AUTOSTART Disables autostarting parallel pools.
    fname = fullfile(prefdir(), 'parallel.settings');
    try
        doc = xmlread(fname);
        node = find_children_by_tagname_and_name(doc, 'settings', 'parallel');
        node = find_children_by_tagname_and_name(node, 'settings', 'client');
        node = find_children_by_tagname_and_name(node, 'settings', 'pool');
        node = find_children_by_tagname_and_name(node, 'key', 'AutoCreate');
        node = find_children_by_tagname_and_name(node, 'bool');
        node = find_children_by_tagname_and_name(node, 'value');
        if(strcmp('1', strtrim(char(node.getTextContent()))) == 1)
            node.setTextContent('0');
            xmlwrite(fname, doc);
            disp('Need to restart MATLAB. Press a key to exit...');
            pause;
            exit();
        else
            return;
        end
    catch
        
    end
    
    if(verbose)
        fprintf(2, 'Cannot disable autostart of parallel pools.\n');
    end  
end

function [ nodes ] = find_children_by_tagname_and_name(root, tagname, name)
    nodes = [ ];

    if(root.getNodeType() == 10)
         children = root.getElements();
    else
         children = root.getChildNodes();
    end

    name_provided = exist('name', 'var');
    for i = 0 : children.getLength() - 1
        child = children.item(i);
        if(child.getNodeType() == 10)
            continue;
        end;
        if(strcmp(child.getNodeName(), tagname) == 1)
            if(~name_provided || strcmp(name, char(child.getAttribute('name'))) == 1)
                nodes = [nodes, child];
            end
        end
    end
end