function [ is_active ] = parpool_isactive(verbose)
%PARPOOL_ISACTIVE Checks whether a parallel pool is active.

if(nargin < 1)
    verbose = false;
end

if(exist('parpool', 'file') && exist('gcp', 'file'))
    is_active = ~isempty(gcp('nocreate'));
elseif(exist('matlabpool', 'file'))
    is_active = matlabpool('SIZE') > 0;
else
    if(verbose)
        fprintf(2, 'Unable to retrieve info about the parpool.\n');
    end
    is_active = false;
end