function [ fldarr ] = cellarr2fldarr(cellarr, field_name)
%CELLARR2FLDARR Extracts a cell array of fields from a cell array of structures
%
%  Input: cellarr = { {x: 1, s: 'hello'}, {x: 3, s: 'world'} }
%         field_name = 's'
%
%  Output: { 'hello', 'world' }

fldarr = cell(length(cellarr), 1);
for i = 1 : length(cellarr)
    item = cellarr{i};
    if(isstruct(item))
        fldval = item.(field_name);
    else
        fldval = NaN;
    end
    fldarr{i} = fldval;
end

end

