function [ chunks ] = diven(n, k)
%DIVEN Divides a non-negative number n into k chunks as uniformly as possible
%
% diven(10, 7) = [ 2 2 2 1 1 1 1 ]
% diven(21, 4) = [ 6 5 5 5 ]

    if(n < 0)
        error('n should be non-negative');
    end

    base = floor(n / k);
    chunks = base * ones(1, k);
    tail = n - k * base;
    if(tail > 0)
        inds = 1 : tail;
        chunks(inds) = chunks(inds) + 1;
    end

end