function [ diffs ] = findiff(vals, k)
%FINDIFF Computes k-order finite differences for a series of values

if(nargin < 1)
    error('Not enough arguments.');
end
if(nargin < 2)
    k = 1;
end
if(~isvector(vals) || ~isscalar(k) || k < 1)
    error('Invalid input.');
end

n = length(vals);
if(n < 2)
    diffs = vals;
    return;
end

if(k <= 1)
    diffs = vals(2 : n) - vals(1 : n - 1);
else
    diffs = findiff(findiff(vals, k - 1), 1);
end

end

