function [ idx ] = rank_no_ties(items, direction)
%SORT_NO_TIES Ranks items, breaking ties fairly (multiple equal entries get the same rank)
%

if(nargin < 1)
	error('Not enough arguments.');
elseif(nargin < 2)
	direction = 'ascend';
end

[~, ~, idx] = unique(items);
if(strcmp('descend', direction))
	idx = (max(idx) + 1) - idx;
elseif(~strcmp('ascend', direction))
	error('Direction is incorrect (use either "ascend" or "descend").');
end

end

