function [ newvec ] = thinout(vec, mask, fill)
%THINOUT

if(nargin < 2)
    error('Not enough arguments.');
end
if(nargin < 3)
    fill = 0;
end

if(any(~islogical(mask)))
    error('Mask must be logical.');
end
if(nnz(mask) ~= length(vec))
    error('Number of non-zeros in the mask is different from the number of items in the provided vector.');
end
if(~isfloat(fill))
    error('Fill must be a number.');
end

sz = size(mask);
newvec = ones(sz) .* fill;
newvec(mask) = vec;

end
