function [ updated_settings ] = validate_setting(settings, setting_name, is_setting_valid, default_value)
	if(nargin < 3); error('Not enough arguments.'); end
	if(~isstruct(settings))
		settings = struct();
	end
	updated_settings = settings;
	if(~isfield(updated_settings, setting_name) || ~is_setting_valid(updated_settings.(setting_name)))
		updated_settings.(setting_name) = default_value;
	end
end